> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact by id



## OpenAPI

````yaml /api-reference/openapi-v2.json get /contacts/{contactId}
openapi: 3.1.0
info:
  title: Heyy API
  version: 2.0.0
servers:
  - url: https://api.heyy.io/v2
security:
  - bearerAuth: []
paths:
  /contacts/{contactId}:
    get:
      summary: Get contact by id
      parameters:
        - name: contactId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      firstName:
                        type: string
                      lastName:
                        type: string
                      phoneNumber:
                        type: string
                      email:
                        type: string
                      labels:
                        type: array
                        items:
                          type: string
                      attributes:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            value:
                              type: string
                          required:
                            - name
                            - value
                      createdAt:
                        type: string
                      updatedAt:
                        type: string
                    required:
                      - id
                      - createdAt
                      - updatedAt
                required:
                  - success
                  - data
                additionalProperties: false
              example:
                success: true
                data:
                  id: string
                  firstName: string
                  lastName: string
                  phoneNumber: string
                  email: string
                  labels: []
                  attributes: []
                  createdAt: string
                  updatedAt: string
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````